## Delete an attribute by code

### cURL

```bash
curl --request DELETE \
  --url https://prod01.oms.fabric.inc/api/v2/order/attribute/{code} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

| Code | Description                  |
|------|------------------------------|
| 200  | Success                      |
| 400  | Bad Request                  |
| 404  | Not Found                    |
| 500  | Internal Server Error        |

### Responses

```json
{
  "id": "<string>",
  "code": "<string>",
  "name": "<string>",
  "description": "<string>",
  "required": true
}
```

```json
{
  "message": "Bad Request"
}
```

```json
{
  "message": "Not found"
}
```

```json
{
  "message": "Internal Server Error"
}
```

### Authorizations

**Authorization**  
Type: string  
Location: header  
Required: true  
Format: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

**x-site-context**  
Type: string  
Required: true  
Description: The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

**Example**:

```json
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
```

### Path Parameters

**code**  
Type: string  
Required: true
